<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
$ruta = "../";
require_once "../include/bd_pdo.php";
global $db;
print_r($_POST);
if (isset($_POST['dlfacultad']))
    $facultad = $_POST['dlfacultad'];
else
    $facultad = $_POST['mfacultad'];

$db->where('usuario_clave', $_POST['mclave'])
    ->update(
        'usuario',
        array(
            'usuario_nombre' => mb_strtoupper($_POST['mnombre']),
            'usuario_correo' => $_POST['mcorreo'],
            'usuario_clave' => $_POST['mclave'],
            'rol_id' => $_POST['mrol'],
            'facultad_id' => empty($facultad) ? null : $facultad,
        )
    );
header("Location: ../usuarios.php", true, 307);
exit();